NTStatus (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: NTStatus

Package com.sun.jna.platform.win32

# Interface NTStatus

public interface NTStatus

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `STATUS_ABANDONED`
  `static final int`
  `STATUS_ABANDONED_WAIT_0`
  `static final int`
  `STATUS_ABANDONED_WAIT_63`
  `static final int`
  `STATUS_ACCESS_DENIED`
  `static final int`
  `STATUS_BUFFER_TOO_SMALL`
  `static final int`
  `STATUS_INVALID_OWNER`
  `static final int`
  `STATUS_SUCCESS`
  `static final int`
  `STATUS_WAIT_0`
  `static final int`
  `STATUS_WAIT_1`
  `static final int`
  `STATUS_WAIT_2`
  `static final int`
  `STATUS_WAIT_3`
  `static final int`
  `STATUS_WAIT_63`

- ## Field Details

  - ### STATUS_SUCCESS

    static final int STATUS_SUCCESS
    See Also:
      - Constant Field Values

  - ### STATUS_BUFFER_TOO_SMALL

    static final int STATUS_BUFFER_TOO_SMALL
    See Also:
      - Constant Field Values

  - ### STATUS_WAIT_0

    static final int STATUS_WAIT_0
    See Also:
      - Constant Field Values

  - ### STATUS_WAIT_1

    static final int STATUS_WAIT_1
    See Also:
      - Constant Field Values

  - ### STATUS_WAIT_2

    static final int STATUS_WAIT_2
    See Also:
      - Constant Field Values

  - ### STATUS_WAIT_3

    static final int STATUS_WAIT_3
    See Also:
      - Constant Field Values

  - ### STATUS_WAIT_63

    static final int STATUS_WAIT_63
    See Also:
      - Constant Field Values

  - ### STATUS_ABANDONED

    static final int STATUS_ABANDONED
    See Also:
      - Constant Field Values

  - ### STATUS_ABANDONED_WAIT_0

    static final int STATUS_ABANDONED_WAIT_0
    See Also:
      - Constant Field Values

  - ### STATUS_ABANDONED_WAIT_63

    static final int STATUS_ABANDONED_WAIT_63
    See Also:
      - Constant Field Values

  - ### STATUS_INVALID_OWNER

    static final int STATUS_INVALID_OWNER
    See Also:
      - Constant Field Values

  - ### STATUS_ACCESS_DENIED

    static final int STATUS_ACCESS_DENIED
    See Also:
      - Constant Field Values